
QGIS Application - Bug report #20856

Lack of qgis.processing python module in python-qgis package

2018-12-20 01:39 PM - Luigi Pirelli

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Processing/Core

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 28675

Description

at least in master package for ubuntu/bionic

the python-qgis package does not contain also the processing submodule

generating error loading processing plugins

Related issues:

Duplicated by QGIS Application - Bug report # 20875: ModuleNotFoundError: No ... Closed 2018-12-23

Associated revisions

Revision add1a922 - 2018-12-23 09:47 PM - Jürgen Fischer

debian packaging: include qgis.processing and qgis.testing (fixes #20856)

Revision fea05d62 - 2018-12-31 08:20 PM - Jürgen Fischer

debian packaging: avoid conflicting files (followup add1a9228, refs #20856, fixes #20894)

History

#1 - 2018-12-20 01:40 PM - Luigi Pirelli

sorry Jürgen, I assigned to yu because I suppose it'¡s a packaging problem... or it's better Bas for ubuntu stuffs?

#2 - 2018-12-21 12:44 PM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

processing (with other arch-indep files) is in python-qgis-common

#3 - 2018-12-21 02:06 PM - Luigi Pirelli

so the issue would be changed to lack of python-qgis-common in package dependency?
#4 - 2018-12-23 02:48 AM - Jürgen Fischer

Luigi Pirelli wrote:

so the issue would be changed to lack of python-qgis-common in package dependency?

why?  python-qgis depends on python-qgis-common.

#5 - 2018-12-23 05:33 AM - Kory Roberts

Can confirm here.  Same bug.  Just showed up in recent upgrades, now on QGIS code revision 657f5a4.  Unable to load Processing (and Lat Lon Tools)

plugin; Menu Vector only loads header, but nothing else.  I have python-qgis and python-qgis-common both installed.

Couldn't load plugin 'processing' 

ModuleNotFoundError: No module named 'qgis.processing' 

Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 309, in loadPlugin

    __import__(packageName)

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/__init__.py", line 29, in 

    from processing.tools.general import *              # NOQA

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/tools/general.py", line 39, in 

    from processing.core.Processing import Processing

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 55, in 

    from processing.script import ScriptUtils

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/script/ScriptUtils.py", line 28, in 

    from qgis.processing import alg as algfactory

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ModuleNotFoundError: No module named 'qgis.processing'

#6 - 2018-12-23 09:08 PM - Jürgen Fischer

- Duplicated by Bug report #20875: ModuleNotFoundError: No module named 'qgis.processing'  added
